/*
 * Copyright (C) 2010 Jacob Kjome
 * 
 * This file is part of XMLC.
 *
 * XMLC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 2.1
 * of the License, or (at your option) any later version.
 *
 * XMLC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with XMLC.  If not,
 * see <http://www.gnu.org/licenses/>.
 */
var onloadFuncArray = new Array();
var onunloadFuncArray = new Array();
function addOnloadFunction(func) {
    onloadFuncArray[onloadFuncArray.length] = func;
}
function addOnunloadFunction(func) {
    onunloadFuncArray[onunloadFuncArray.length] = func;
}
window.onload = function(e) {
    for (var i=0; i < onloadFuncArray.length; i++) {
        onloadFuncArray[i].call(null);
    }
}
window.onunload = function(e) {
    for (var i=0; i < onunloadFuncArray.length; i++) {
        onunloadFuncArray[i].call(null);
    }
}


//window.onload = function(e) {
function globalOnload() {
  var cookie = readCookie(_style_cookie_name);
  var title = cookie ? cookie : getPreferredStyleSheet();
  writeStyleSwitcher(document.getElementById('styleswitch'));
  setActiveStyleSheet(title);
  if (document.getElementById(title) != null) document.getElementById(title).checked = true;
}

//window.onunload = function(e) {
function globalOnunload() {
  var title = getActiveStyleSheet();
  createCookie(_style_cookie_name, title, 365);
}

addOnloadFunction(globalOnload);
addOnunloadFunction(globalOnunload);
