/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLSelectElementImpl.java,v 1.1.1.1 2003-03-10 16:36:08 taweili Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLSelectElement;

public class WMLSelectElementImpl extends WMLElementImpl implements WMLSelectElement {

    public WMLSelectElementImpl(WMLDocumentImpl owner, String namespaceURI, String qualifiedName) {
	super(owner, namespaceURI, qualifiedName);
    }

    public void setMultiple(boolean newValue) {
	setAttribute("multiple", newValue);
    }

    public boolean getMultiple() {
	return getAttribute("multiple", false);
    }

    public void setValue(String newValue) {
	setAttribute("value", newValue);
    }

    public String getValue() {
	return getAttribute("value");
    }

    public void setTabIndex(int newValue) {
	setAttribute("tabindex", newValue);
    }

    public int getTabIndex() {
	return getAttribute("tabindex", 0);
    }

    public void setClassName(String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName() {
	return getAttribute("class");
    }

    public void setXmlLang(String newValue) {
	setAttribute("xml:lang", newValue);
    }

    public String getXmlLang() {
	return getAttribute("xml:lang");
    }

    public void setTitle(String newValue) {
	setAttribute("title", newValue);
    }

    public String getTitle() {
	return getAttribute("title");
    }

    public void setIValue(String newValue) {
	setAttribute("ivalue", newValue);
    }

    public String getIValue() {
	return getAttribute("ivalue");
    }

    public void setId(String newValue) {
	setAttribute("id", newValue);
    }

    public String getId() {
	return getAttribute("id");
    }

    public void setIName(String newValue) {
	setAttribute("iname", newValue);
    }

    public String getIName() {
	return getAttribute("iname");
    }

    public void setName(String newValue) {
	setAttribute("name", newValue);
    }

    public String getName() {
	return getAttribute("name");
    }
}
