/*
 * Copyright 1999,2000,2004,2005 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.enhydra.xml.xhtml.dom.xerces;

/*
 * Derived from Xerces HTMLDocument implementation.
 * Author: Assaf Arkin <arkin@exoffice.com>
 */

import org.enhydra.xml.xhtml.dom.XHTMLDocument;

//import org.apache.html.dom.HTMLAnchorElementImpl;
import org.enhydra.xml.xmlc.XMLObject;
import org.enhydra.xml.xmlc.XMLObjectLink;
import org.w3c.dom.DocumentType;
//import org.w3c.dom.html.HTMLDocument;

/**
 * Implements an XHTML document. Provides access to the top level element in
 * the document, its body and title.
 *
 * @see org.w3c.dom.html.HTMLDocument
 */
public class XHTMLDocumentImpl extends XHTMLDocumentBase implements XHTMLDocument, XMLObjectLink {

    /**
     * Constructor without document type.
     */
    public XHTMLDocumentImpl() {
	super();
    }

    /**
     * Constructor with document type.
     */
    public XHTMLDocumentImpl(DocumentType doctype) {
	super(doctype);
    }


    //-------------------------------------------------------------------------
    // XMLObjectLink implementation
    //-------------------------------------------------------------------------

    /**
     * Reference to XMLObject containing this Document.
     */
    private XMLObject fXmlObjectLink;

    /**
     * @see XMLObjectLink#setXMLObject
     */
    public void setXMLObject(XMLObject xmlObject) {
        fXmlObjectLink = xmlObject;
    }

    /**
     * @see XMLObjectLink#getXMLObject
     */
    public XMLObject getXMLObject() {
        return fXmlObjectLink;
    }

}
