/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: LazyDOMException.java,v 1.1.1.1 2003-03-10 16:36:18 taweili Exp $
 */

package org.enhydra.xml.lazydom;

import org.w3c.dom.DOMException;

/**
 * LazyDOM runtime exception.
 */
public class LazyDOMException extends DOMException {
    /**
     * Constructor.
     *
     * @param code The code associated with the exception.
     * @param msg The message associated with the exception.
     */
    public LazyDOMException(short code,
                            String msg) {
        super(code, msg);
    }

    /**
     * Throw a NO_MODIFICATION_ALLOWED_ERR error.
     */
    public static void noModifibcationAllowedErr() throws LazyDOMException {
        throw new LazyDOMException(NO_MODIFICATION_ALLOWED_ERR,
                                   "Modification not allowed");
    }
}
