#!/bin/sh
#
# build-html-dom xerces-html-dom-dir
#
# Create the HTML Lazy DOM from the Xerces HTML DOM sources.  See
# edit-html-dom.sh for the details of the process.  This script should be run
# when a new copy of Xerces is imported.  The generated files are checked
# into #the tree to aid in the independent building of XMLC.
#
set -e

HTML_SRCS=" \
	HTMLCollectionImpl.java \
	HTMLFormControl.java \
	NameNodeListImpl.java \
	HTMLAnchorElementImpl.java  \
	HTMLAppletElementImpl.java \
	HTMLAreaElementImpl.java \
	HTMLBRElementImpl.java \
	HTMLBaseElementImpl.java \
	HTMLBaseFontElementImpl.java \
	HTMLBodyElementImpl.java \
	HTMLButtonElementImpl.java \
	HTMLDListElementImpl.java \
	HTMLDirectoryElementImpl.java \
	HTMLDivElementImpl.java \
	HTMLFieldSetElementImpl.java \
	HTMLFontElementImpl.java \
	HTMLFormElementImpl.java \
	HTMLFrameElementImpl.java \
	HTMLFrameSetElementImpl.java \
	HTMLHRElementImpl.java \
	HTMLHeadElementImpl.java \
	HTMLHeadingElementImpl.java \
	HTMLHtmlElementImpl.java \
	HTMLIFrameElementImpl.java \
	HTMLImageElementImpl.java \
	HTMLInputElementImpl.java \
	HTMLIsIndexElementImpl.java \
	HTMLLIElementImpl.java \
	HTMLLabelElementImpl.java \
	HTMLLegendElementImpl.java \
	HTMLLinkElementImpl.java \
	HTMLMapElementImpl.java \
	HTMLMenuElementImpl.java \
	HTMLMetaElementImpl.java \
	HTMLModElementImpl.java \
	HTMLOListElementImpl.java \
	HTMLObjectElementImpl.java \
	HTMLOptGroupElementImpl.java \
	HTMLOptionElementImpl.java \
	HTMLParagraphElementImpl.java \
	HTMLParamElementImpl.java \
	HTMLPreElementImpl.java \
	HTMLQuoteElementImpl.java \
	HTMLScriptElementImpl.java \
	HTMLSelectElementImpl.java \
	HTMLStyleElementImpl.java \
	HTMLTableCaptionElementImpl.java \
	HTMLTableCellElementImpl.java \
	HTMLTableColElementImpl.java \
	HTMLTableElementImpl.java \
	HTMLTableRowElementImpl.java \
	HTMLTableSectionElementImpl.java \
	HTMLTextAreaElementImpl.java \
	HTMLTitleElementImpl.java \
	HTMLUListElementImpl.java
"

if [ $# != 1 ] ; then
    echo "Error: wrong # args: $0 <xerces-html-dom-dir>" >&2
    exit 1
fi

htmlDomDir="$1"

for f in ${HTML_SRCS} ; do
    rm -f $f
    sh edit-html-dom.sh $htmlDomDir/$f $f
done
