/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *   Henry Ghusakovsky <h.ghusakovsky@belcaf.com>
 *
 * $Id: XMLObjectLink.java,v 1.1.1.1 2003-03-10 16:36:19 taweili Exp $
 */

package org.enhydra.xml.xmlc;

/**
 * Interface implemented by a Document to provide a way of getting back to
 * the XMLObject that contains it.  This allows the DOMFormatter and others
 * to get to back to XMLObject.
 */
public interface XMLObjectLink {
    /**
     * Set the XMLC XMLObject that contains this document.
     */
    public void setXMLObject(XMLObject xmlObject);

    /**
     * Get the XMLC XMLObject that contains this document, or null
     * it it's not associated with a XMLObject.
     */
    public XMLObject getXMLObject();
}
