/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: FlagOption.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.commands.options;

import org.enhydra.xml.io.ErrorReporter;
import org.enhydra.xml.xmlc.XMLCException;

/**
 * A flag option that takes no arguments.
 */
public abstract class FlagOption extends Option {
    /**
     * Construct a new object.
     *
     * @param name The name of the option.
     * @param help Help string for the option.
     */
    public FlagOption(String name, String help) {
        super(name, 0, false, help);
    }

    /**
     * Method called to set the value.
     */
    abstract protected void set(Object clientData) throws XMLCException;

    /**
     * Parse an instance of the option.
     */
    protected void parse(String[] args,
                         ErrorReporter errorReporter,
                         Object clientData) throws XMLCException {
        set(clientData);
    }
}
