/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: XMLCOptions.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.commands.xmlc;

import java.io.File;
import java.io.IOException;

import org.enhydra.xml.io.ErrorReporter;
import org.enhydra.xml.xmlc.XMLCException;
import org.enhydra.xml.xmlc.metadata.MetaData;
 
/**
 * Old XMLCOptions object.  Here as a temporary measure for Kelp.
 * @deprecated Here to support Kelp.
 */
public class XMLCOptions extends XMLCOptionsParser {
    /**
     * Set the source file.
     */
    public void setSourceDocument(File sourceDocument) {
        getMetaData().getInputDocument().setUrl(sourceDocument.getPath());
    }

    /**
     * Get the fully qualified class name, or null if not specified.
     */
    public String getClassName() {
        return getMetaData().getDocumentClass().getName();
    }

    /**
     * Set the fully qualified class name.
     */
    public void setClassName(String className) {
        getMetaData().getDocumentClass().setName(className);
    }

    /**
     * Get the for-recomp flag.
     */
    public boolean getForRecomp() {
        return getMetaData().getDocumentClass().getRecompilation();
    }

    /**
     * Get the package name, or null if not set.
     */
    public String getPackageName() {
        return getMetaData().getDocumentClass().getPackageName();
    }

    /**
     * Default any options in the set that have not been specified.
     * Determination of document type, and hence validation and defaulting of
     * the parser base on document type, is handled outside of this class.
     */
    public void complete() throws XMLCException {
        //FIXME: MetaDataDocument metaDataDoc = optParser.getMetaDataDoc();
        //metaDataDoc.completeModifications();
    }

    /**
     * Get metadata object.
     */
    public MetaData getMetaData() {
        return null; //FIXME
    }

    /**
     * Parse options and arguments.
     */
    public void parse(String[] parameters,
                      String[] optionsFiles,
                             ErrorReporter errorReporter) throws XMLCException, IOException {
        // Combine into a argument vector
        String[] args = new String[parameters.length + optionsFiles.length];
        System.arraycopy(parameters, 0, args, 0, parameters.length);
        System.arraycopy(optionsFiles, 0, args, parameters.length,
                         optionsFiles.length);
        super.parse(args, errorReporter);
    }
    //FIXME: tmp for supporting kelp rollover.
    /** @deprecated for kelp only */
    public void setKeep(boolean keep) {
        getMetaData().getCompileOptions().setKeepGeneratedSource(keep);
    }
    /** @deprecated for kelp only */
    public boolean getKeep() {
        return getMetaData().getCompileOptions().getKeepGeneratedSource();
    }
    /** @deprecated for kelp only */
    public void setDump(boolean dump) {
        getMetaData().getCompileOptions().setPrintDOM(dump);
    }
    /** @deprecated for kelp only */
    public boolean getDump() {
        return getMetaData().getCompileOptions().getPrintDOM();
    }
    /** @deprecated for kelp only */
    public void setVerbose(boolean verbose) {
        getMetaData().getCompileOptions().setVerbose(verbose);
    }
    /** @deprecated for kelp only */
    public boolean getVerbose() {
        return getMetaData().getCompileOptions().getVerbose();
    }
    /** @deprecated for kelp only */
    public void setParseInfo(boolean parseInfo) {
        getMetaData().getCompileOptions().setPrintParseInfo(parseInfo);
    }
    /** @deprecated for kelp only */
    public boolean getParseInfo() {
        return getMetaData().getCompileOptions().getPrintParseInfo();
    }
    /** @deprecated for kelp only */
    public void setPrintAccessMethods(boolean printAccessMethods) {
        getMetaData().getCompileOptions().setPrintAccessorInfo(printAccessMethods);
    }
    /** @deprecated for kelp only */
    public boolean getPrintAccessMethods() {
        return getMetaData().getCompileOptions().getPrintAccessorInfo();
    }
    /** @deprecated for kelp only */
    public void setNoCompile(boolean value) {
        getMetaData().getCompileOptions().setCompileSource(value);
    }
    /** @deprecated for kelp only */
    public boolean getNoCompile() {
        return getMetaData().getCompileOptions().getCompileSource();
    }
    /** @deprecated for kelp only */
    public File getDocumentOutput() {
        return new File(getMetaData().getCompileOptions().getDocumentOutput());
    }

    /** @deprecated for kelp only */
    public boolean getPrintVersion() {
        return getMetaData().getCompileOptions().getPrintVersion();
    }
    /**
     * Get the -info option value.
     */
    public boolean getPrintInfo() {
        return getMetaData().getCompileOptions().getPrintParseInfo();
    }

}
