/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * Richard Kunze
 * $Id: DeferredParsingAccessorGenerator.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.deferredparsing;

import org.enhydra.xml.xmlc.codegen.JavaCode;
import org.enhydra.xml.xmlc.compiler.ElementInfo;
import org.enhydra.xml.xmlc.dom.AccessorGenerator;
import org.enhydra.xml.xmlc.dom.generic.GenericAccessorGenerator;

/**
 * Generate access methods for deferred parsing support.
 */
public class DeferredParsingAccessorGenerator
    extends GenericAccessorGenerator {

    /**
     * Create code to setup an access method for an element when building the
     * DOM. Always throws an exception, since building the DOM in the
     * class itself isn't supported in deferred parsing mode.
     * @see AccessorGenerator#createAccessMethodInit
     * @throws UnsupportedOperationException
     */
    public void createAccessMethodInit(ElementInfo elementInfo,
                                       String elementVarName,
                                       JavaCode body) {
	throw new UnsupportedOperationException(
	     "Not supported in 'deferred parsing' mode.");
    }
}
