/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s): 
 * Richard Kunze
 * $Id: StandardDocumentLoader.java,v 1.1.1.1 2003-03-10 16:36:21 taweili Exp $
 */

package org.enhydra.xml.xmlc.deferredparsing;

import java.util.Map;

/**
 * Standard implementation of the document loader for deferred
 * parsing. This document loader is used when a XMLC compiled class
 * with deferred parsing support is created using the default
 * constructor (i.e. not through the appropriate factory or a copy
 * constructor).
 */
public class StandardDocumentLoader extends DocumentLoaderImpl {
    private static final StandardDocumentLoader singletonInstance =
	new StandardDocumentLoader();

    public static final DocumentLoader getInstance() {
	return singletonInstance;
    }

    public StandardDocumentLoader () {
	this(null);
    }

    public StandardDocumentLoader (Map cache) {
	super(cache);
    }
}
