/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HTMLObject.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */


package org.enhydra.xml.xmlc.html;

import org.enhydra.xml.xmlc.XMLObject;
import org.w3c.dom.html.HTMLDocument;

/**
 * Interface implemented by all compiled HTML Objects.
 */
public interface HTMLObject extends XMLObject, HTMLDocument {
    /**
     * Convert the document to a string representation of the document, that
     * is a string containing HTML.  The results are parsable into the same
     * DOM hierarchy
     *
     * @return A string containing the full HTML.
     */
    public String toDocument();
}
