/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HTMLAttr.java,v 1.1.1.1 2003-03-10 16:36:23 taweili Exp $
 */

package org.enhydra.xml.xmlc.metadata;

import org.w3c.dom.Document;

/**
 * A proprietary tag attribute to add to the list of valid HTML attributes
 * for all tags.
 */
public class HTMLAttr extends MetaDataElement implements HTMLAttrDef {
    /**
     * Element name.
     */
    public static final String TAG_NAME = "htmlAttr";

    /**
     * Attribute names.
     */
    private static final String NAME_ATTR = "name";

    /**
     * Constructor.
     */
    public HTMLAttr(Document ownerDoc) {
    	super(ownerDoc, TAG_NAME);
    }

    /**
     * Get the name attribute value.
     */
    public String getName() {
        return getAttributeNull(NAME_ATTR);
    }

    /**
     * Set the name attribute value.
     */
    public void setName(String value) {
        setRemoveAttribute(NAME_ATTR, value);
    }
}
