/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HTMLTagDef.java,v 1.1.1.1 2003-03-10 16:36:23 taweili Exp $
 */

package org.enhydra.xml.xmlc.metadata;

/**
 * Definition of a proprietary HTML tag.
 */
public interface HTMLTagDef {
    /**
     * Get the name of the tag.
     */
    public String getName();

    /**
     * Get the inline attribute value.
     */
    public boolean getInline();
    /**
     * Get the block attribute value.
     */
    public boolean getBlock();

    /**
     * Get the empty attribute value.
     */
    public boolean getEmpty();

    /**
     * Get the optclose attribute value.
     */
    public boolean getOptclose();
}
