/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HTMLTagDefImpl.java,v 1.1.1.1 2003-03-10 16:36:23 taweili Exp $
 */

package org.enhydra.xml.xmlc.metadata;

/**
 * Definition of a proprietary HTML tag.  Objects are immutable.
 */
public class HTMLTagDefImpl implements HTMLTagDef {
    /**
     * Attributes.
     */
    private final String name;
    private final boolean inline;
    private final boolean block;
    private final boolean empty;
    private final boolean optclose;

    /**
     * Constructor.
     */
    protected HTMLTagDefImpl(String name,
                             boolean inline,
                             boolean block,
                             boolean empty,
                             boolean optclose) {
        this.name = name;    
        this.inline = inline;  
        this.block = block;   
        this.empty = empty;   
        this.optclose =  optclose;
    }

    /**
     * Get the name of the tag.
     */
    public String getName() {
        return name;
    }

    /**
     * Get the inline attribute.
     */
    public boolean getInline() {
        return inline;
    }

    /**
     * Get the block attribute.
     */
    public boolean getBlock() {
        return block;
    }

    /**
     * Get the empty attribute.
     */
    public boolean getEmpty() {
        return empty;
    }

    /**
     * Get the optclose attribute.
     */
    public boolean getOptclose() {
        return optclose;
    }
}
