/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: JavacOption.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.metadata;

import org.w3c.dom.Document;

/**
 * Specifies an option to pass to the Java compiler.
 */
public class JavacOption extends MetaDataElement {
    /**
     * Element name.
     */
    public static final String TAG_NAME = "javacOption";

    /**
     * Attribute names.
     */
    private static final String NAME_ATTR = "name";
    private static final String VALUE_ATTR = "value";

    /**
     * Constructor.
     */
    public JavacOption(Document ownerDoc) {
    	super(ownerDoc, TAG_NAME);
    }

    /**
     * Get the name attribute value.
     */
    public String getName() {
        return getAttributeNull(NAME_ATTR);
    }

    /**
     * Set the name attribute value.
     */
    public void setName(String value) {
        setRemoveAttribute(NAME_ATTR, value);
    }

    /**
     * Get the value attribute value.
     */
    public String getValue() {
        return getAttributeNull(VALUE_ATTR);
    }

    /**
     * Set the value attribute value.
     */
    public void setValue(String value) {
        setRemoveAttribute(VALUE_ATTR, value);
    }
}
