/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TagClass.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.metadata;

import org.w3c.dom.Document;

/**
 * Defines the attribute name that is to considered as the class
 * attribute.
 */
public class TagClass extends MetaDataElement {
    /**
     * Element name.
     */
    public static final String TAG_NAME = "tagClass";

    /**
     * Attribute names.
     */
    private static final String TAG_NAME_ATTR = "tagName";
    private static final String ATTR_NAME_ATTR = "attrName";

    /**
     * Constructor.
     */
    public TagClass(Document ownerDoc) {
    	super(ownerDoc, TAG_NAME);
    }

    /**
     * Get the tagName attribute value.
     */
    public String getTagName() {
        return getAttributeNull(TAG_NAME_ATTR);
    }

    /**
     * Set the tagName attribute value.
     */
    public void setTagName(String value) {
        setRemoveAttribute(TAG_NAME_ATTR, value);
    }

    /**
     * Get the attrName attribute value.
     */
    public String getAttrName() {
        return getAttributeNull(ATTR_NAME_ATTR);
    }

    /**
     * Set the attrName attribute value.
     */
    public void setAttrName(String value) {
        setRemoveAttribute(ATTR_NAME_ATTR, value);
    }
}
