/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ServletDocumentLoader.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.xmlc.servlet;
import javax.servlet.ServletContext;

import org.enhydra.xml.xmlc.deferredparsing.DocumentLoader;
/**
 * An extended interface for document loaders.
 *
 * <p>This interface can be used to get a hook onto servlet specific
 * context information within a document loader.</p>
 */
public interface ServletDocumentLoader extends DocumentLoader {

    /**
     * Set the servlet context for this instance.  If this
     * document loader is instatiated from the servlet aware
     * {@link org.enhydra.xml.xmlc.servlet.XMLCContext}, this method
     * is called exactly once for every instance, before any of the
     * other methods are called. However, a class implenting this
     * interface should be prepared to run unitialized or at least
     * fail gracefully, because non servlet aware environments will
     * probably not initialize the servlet context.
     * @param context the servlet context that this recompilation
     * handler is assigned to.
     */
    public void setServletContext(ServletContext context);
}
