/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestDomOps.java,v 1.2 2005-01-26 08:29:24 jkjome Exp $
 */

package org.enhydra.xml.driver;

import org.enhydra.xml.dom.SimpleDOMTraversal;
import org.w3c.dom.Node;

/**
 * Class of static methods to do various DOM related operations.
 */
public class TestDomOps {
    /**
     * Traverse a tree or subtree, cause LazyDOM nodes to be expanded
     * it is a LazyDOM.
     */
    public static void expandTree(Node root) {
        // Using the simple traverser causes expansion
        SimpleDOMTraversal traverser
            = new SimpleDOMTraversal(new SimpleDOMTraversal.Handler() {
                    public void handleNode(Node node) {
                        node.getNodeValue(); // Don't do much.
                    }
                });
        traverser.traverse(root);
    }

}
