/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HtmlBasicTest.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */

package org.enhydra.xml.xmlc.html;

import java.io.File;

import org.enhydra.xml.xmlc.driver.ExecXmlc;
import org.enhydra.xml.xmlc.driver.XmlcBasicTest;

/**
 * Class to run a basic set of XMLC tests on HTML files given a set of
 * parameters.  This is extended to implement specific test cases.
 */
public class HtmlBasicTest extends XmlcBasicTest {
    /** HTML encoding to use */
    private String fHtmlEncoding;

    /** 
     * Constructor.
     */
    public HtmlBasicTest(HtmlTestCaseBase testCase,
                         File inputDoc) {
        super(testCase, "html", inputDoc);
    }

    /** Set the HTML encoding to use. */
    public void setHtmlEncoding(String encoding) {
        fHtmlEncoding = encoding;
    }

    /**
     * Add the cyberstudio tag set.
     */
    public void addCyberStudioTags() {
        addBoth(ExecXmlc.OPT_ADD_TAG_SET);
        addBoth(ExecXmlc.CYBERSTUDIO_TAG_SET);
    }

    /**
     * Build a ExecXmlc object with argument required for the initial compile
     * and the recompile/dump
     */
    protected void addStdOpts(ExecXmlc execXmlc) {
        if (fHtmlEncoding != null) {
            execXmlc.addOpt(ExecXmlc.OPT_HTML_ENCODING, fHtmlEncoding);
        }
    }
}
