/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: LargeFileTests.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */

package org.enhydra.xml.xmlc.html;
import java.lang.reflect.Method;

import junit.framework.Test;

/**
 * Tests of compiling large files.
 * - large1.html provided by Guy Smith <guy@pisoftware.com>.
 * - GctMechCelstran.html and Packaging.html provided by
 *   Henry Ghusakovsky <h.ghusakovsky@belcaf.com>.
 *
 * We don't save expected files, as they endup being huge and the main
 * thing we are checking for is the compiler aborting.
 */
public class LargeFileTests extends HtmlTestCaseBase {
    /** Factory method to create suite of these tests */
    public static Test suite() {
        return createSuite(LargeFileTests.class, null);
    }

    /** Constructor */
    public LargeFileTests(Method method) {
        super(method);
    }

    /** Create a new test object with diffing disaabled. */
    protected HtmlBasicTest createTest(String inputDoc) {
        HtmlBasicTest test = super.createTest(inputDoc);
        test.disableExpectedFileDiff();
        return test;
    }

    /*
     * Test 1:
     */
    public void test1() {
        HtmlBasicTest test = createTest("large/large1.html");
        test.basicTest();
    }

    /*
     * Test 2:
     */
    public void test2() {
        HtmlBasicTest test = createTest("large/Packaging.html");
        test.basicTest();
    }

    /*
     * Test 3
     */
    public void test3() {
        HtmlBasicTest test = createTest("large/GctMechCelstran.html");
        test.basicTest();
    }

    /*
     * Test 4
     */
    public void test4() {
        HtmlBasicTest test = createTest("large/LargeAtOneLevel.html");
        test.basicTest();
    }

    /*
     * Test 5
     */
    public void test5() {
        HtmlBasicTest test = createTest("large/LargeAtThreeLevels.html");
        test.basicTest();
    }
}
