 /*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ShelfHTML.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */
package org.enhydra.xml.xmlc.html;


/**
 * Interface, originally generated from input/Shelf.html, but handed edited to
 * be the minimal needed to use classes compiled from this file in tests.
 */
public interface ShelfHTML extends org.enhydra.xml.xmlc.html.HTMLObject {
    /**
     * Get the element with id <CODE>list</CODE>.
     * @see org.w3c.dom.html.HTMLDivElement
     */
    public org.w3c.dom.html.HTMLDivElement getElementList();

    /**
     * Get the element with id <CODE>sampleCatAnchor</CODE>.
     * @see org.w3c.dom.html.HTMLAnchorElement
     */
    public org.w3c.dom.html.HTMLAnchorElement getElementSampleCatAnchor();

    /**
     * Get the element with id <CODE>sampleCatBlock</CODE>.
     * @see org.w3c.dom.html.HTMLParagraphElement
     */
    public org.w3c.dom.html.HTMLParagraphElement getElementSampleCatBlock();

    /**
     * Get the element with id <CODE>sampleCatImg</CODE>.
     * @see org.w3c.dom.html.HTMLImageElement
     */
    public org.w3c.dom.html.HTMLImageElement getElementSampleCatImg();

    /**
     * Get the element with id <CODE>sampleCatText</CODE>.
     * @see org.w3c.dom.html.HTMLElement
     */
    public org.w3c.dom.html.HTMLElement getElementSampleCatText();

    /**
     * Get the element with id <CODE>sampleItemAnchor</CODE>.
     * @see org.w3c.dom.html.HTMLAnchorElement
     */
    public org.w3c.dom.html.HTMLAnchorElement getElementSampleItemAnchor();

    /**
     * Get the element with id <CODE>sampleItemBlock</CODE>.
     * @see org.w3c.dom.html.HTMLParagraphElement
     */
    public org.w3c.dom.html.HTMLParagraphElement getElementSampleItemBlock();

    /**
     * Get the element with id <CODE>sampleItemText</CODE>.
     * @see org.w3c.dom.html.HTMLElement
     */
    public org.w3c.dom.html.HTMLElement getElementSampleItemText();

    /**
     * Get the value of text child of element <CODE>list</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextList(String text);

    /**
     * Get the value of text child of element <CODE>sampleCatBlock</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextSampleCatBlock(String text);

    /**
     * Get the value of text child of element <CODE>sampleCatText</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextSampleCatText(String text);

    /**
     * Get the value of text child of element <CODE>sampleItemAnchor</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextSampleItemAnchor(String text);

    /**
     * Get the value of text child of element <CODE>sampleItemBlock</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextSampleItemBlock(String text);

    /**
     * Get the value of text child of element <CODE>sampleItemText</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextSampleItemText(String text);

}
