/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ErrorTests.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */

package org.enhydra.xml.xmlc.ssi;

import java.lang.reflect.Method;

import junit.framework.Test;

import org.enhydra.xml.driver.TestCaseBase;

/**
 * Test of SSI parsing error handling.
 */
public class ErrorTests extends TestCaseBase {
    /** Factory method to create suite of these tests */
    public static Test suite() {
        return createSuite(ErrorTests.class, null);
    }
    
    /** Required Constructor */
    public ErrorTests(Method method) {
        super(method);
    }

    /**
     * Test 1: Error case on SSI directive
     */
    public void test1() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-1.html");
    }

    /**
     * Test 2: Error case on SSI directive
     */
    public void test2() {
        SSIRead test = new SSIRead(this);
        test.runFailTest("illegal-ssi-2.html");
    }

    /**
     * Test 3: Error case on SSI directive
     */
    public void test3() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-3.html");
    }

    /**
     * Test 4: Error case on SSI directive
     */
    public void test4() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-4.html");
    }

    /**
     * Test 5: Error case on SSI directive
     */
    public void test5() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-5.html");
    }

    /**
     * Test 6: Error case on SSI directive
     */
    public void test6() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-6.html");
    }

    /**
     * Test 7: Error case on SSI directive
     */
    public void test7() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-7.html");
    }

    /**
     * Test 8: Error case on SSI directive
     */
    public void test8() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-8.html");
    }

    /**
     * Test 9: Error case on SSI directive
     */
    public void test9() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-9.html");
    }

    /**
     * Test 10: Error case on SSI directive
     */
    public void test10() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-10.html");
    }

    /**
     * Test 11: Error case on SSI directive
     */
    public void test11() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-11.html");
    }

    /**
     * Test 12: Error case on SSI directive
     */
    public void test12() {
        SSIRead test = new SSIRead(this);
	test.runFailTest("illegal-ssi-12.html");
    }
}
