/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: BugTests.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */

package org.enhydra.xml.xmlc.xml;
import java.lang.reflect.Method;

import junit.framework.Test;

/**
 * Regression tests for various bugs.
 */
public class BugTests extends XmlTestCaseBase {
    /** Factory method to create suite of these tests */
    public static Test suite() {
        return createSuite(BugTests.class, null);
    }
    
    /** Constructor */
    public BugTests(Method method) {
        super(method);
    }

    /** 
     * Test 1: Handling of entities in attributes.  This is currently
     * broken in Xerces, we can't get an attribute-value unexpanded.
     */
    public void test1() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("simple/entityAttr.xml"), null);
        test.basicTest();
    }

    /** 
     * Test 2: Handling of entities in attributes.  This is currently
     * broken in Xerces, we can't get an attribute-value unexpanded.
     */
    public void test2() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("voxml/testGreetUser.vxl"), 
                               getInputFile("voxml/VoxML.dtd"));
        test.basicTest();
    }

}
