/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: NamespaceTests.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */

package org.enhydra.xml.xmlc.xml;
import java.lang.reflect.Method;

import junit.framework.Test;

/**
 * Namespace tests
 */
public class NamespaceTests extends XmlTestCaseBase {

    /** Factory method to create suite of these tests */
    public static Test suite() {
        return createSuite(NamespaceTests.class, null);
    }
    
    /** Constructor */
    public NamespaceTests(Method method) {
        super(method);
    }

    /** 
     * Test 1:
     */
    public void test1() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("namespace/hor.xml"),
                               getInputFile("namespace/hor.dtd"));
        test.basicTest();
    }

    /** 
     * Test 2:
     */
    public void test2() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("namespace/ns-default-attr.xml"),
                               null);
        test.basicTest();
    }

    /** 
     * Test 3:
     */
    public void test3() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("namespace/default-override.xml"),
                               null);
        test.basicTest();
    }

    /** 
     * Test 4:
     */
    public void test4() {
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("namespace/prefix-override.xml"),
                               null);
        test.basicTest();
    }

    /** 
     * Test 5: XMLC didn't generate accessors if an element is in a namespace.
     */
    public void test5() {
        //FIXME: verify this works
        XmlBasicTest test
            = new XmlBasicTest(this, getInputFile("namespace/nsaccessors.xml"),
                               getInputFile("namespace/nsaccessors.dtd"));
        test.basicTest();
    }
}
