/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestLazyDOMDocument.java,v 1.5 2006-10-03 03:42:46 jkjome Exp $
 */

package org.enhydra.xml.xmlc.xml;

import org.enhydra.xml.lazydom.LazyDocument;
import org.enhydra.xml.lazydom.TemplateDOM;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.UserDataHandler;

/**
 * class for testing -domfactory functionality.
 */
public class TestLazyDOMDocument extends LazyDocument {

    public TestLazyDOMDocument() {
        super();
    }

    public TestLazyDOMDocument(DocumentType docType,
                               TemplateDOM templateDOM) {
        super(docType, templateDOM);
    }

    public Node cloneNode(boolean deep) {

        TestLazyDOMDocument newdoc;

        if (fTemplateDOM != null) {
            newdoc = (TestLazyDOMDocument) cloneAsTemplateDocument(fTemplateDOM);
        } else {
            newdoc = new TestLazyDOMDocument();
            callUserDataHandlers(this, newdoc, UserDataHandler.NODE_CLONED);
            cloneNode(newdoc, deep);
        }

        //experimental
        newdoc.mutationEvents = mutationEvents;

        return newdoc;

    }

    public LazyDocument cloneAsTemplateDocument(TemplateDOM templateDOM) {
        return new TestLazyDOMDocument(null, templateDOM);
    }

}
