/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestXercesDOMDocument.java,v 1.5 2007-04-22 05:40:59 jkjome Exp $
 */

package org.enhydra.xml.xmlc.xml;

import org.apache.xerces.dom.DocumentImpl;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.UserDataHandler;

/**
 * class for testing -domfactory functionality.
 */
public class TestXercesDOMDocument extends DocumentImpl {

    public TestXercesDOMDocument() {
        super();
    }

    public TestXercesDOMDocument(DocumentType docType) {
        super(docType);
    }

    public Node cloneNode(boolean deep) {

        TestXercesDOMDocument newdoc = new TestXercesDOMDocument();
        callUserDataHandlers(this, newdoc, UserDataHandler.NODE_CLONED);
        cloneNode(newdoc, deep);

        // experimental
        newdoc.mutationEvents = mutationEvents;

        return newdoc;

    }

}
