/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestXercesDOMFactory.java,v 1.4 2006-08-31 05:37:56 jkjome Exp $
 */

package org.enhydra.xml.xmlc.xml;

import org.enhydra.xml.xmlc.dom.XMLCDomFactory;
import org.enhydra.xml.xmlc.dom.xerces.XercesDomFactory;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

/**
 * Class for testing -domfactory functionality.
 */
public class TestXercesDOMFactory extends XercesDomFactory {
    /**
     * Create a test XML document.
     */
    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType docType) {
        Document doc = new TestXercesDOMDocument(docType);
        // Create the document element
        doc.appendChild(doc.createElementNS(namespaceURI, qualifiedName));
        return doc;
    }

    /**
     * @see XMLCDomFactory#getInterfaceNames
     */
    public String[] getInterfaceNames() {
        return new String[] {TestDocument.class.getName()};
    }

    /**
     * @see XMLCDomFactory#getDocumentClassName
     */
    public String getDocumentClassName() {
        return TestXercesDOMDocument.class.getName();
    }

}
